import { IsNotEmpty, IsString } from "class-validator";
import { BaseRecordDto } from "./base.record.dto";

export class ConnectionRecordDto extends BaseRecordDto {
  @IsNotEmpty()
  @IsString()
  state: string;

  @IsString()
  connectionName?: string;

  @IsString()
  alias?: string;

  @IsString()
  did?: string;

  @IsString()
  invitationDid?: string;

  @IsString()
  outOfBandId?: string;
}
